Subject: Ticket Assigned - Refund
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 11 Jul 2021 01:45:14 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund Hello, I've contacted you multiple times now and I really don't understand
the emense delay with the refund. I made an order on the 9th of June and a
refund request on the 10th, and within 3 days someone contacted me and
successfully received my item. Now it's been a month and I have contacted
customer service twice since then demanding my credits to be updated on the
application and nothing has been done. So my question is how much longer do
i have to wait? Below I have attached my order and my credits on the
application which shows zero balance. Please respond as soon as possible.
Thank you.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2835754